Subject: bug#48582: closed (Re: bug#48582: Issue with font-latex-deactivated-keyword-classes)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Oct 2021 14:34:03 +0000

Your bug report

#48582: Issue with font-latex-deactivated-keyword-classes

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48582: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48582
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48582: Issue with font-latex-deactivated-keyword-classes
From: Arash Esbati <[email-masked]>
To: Augusto Stoffel <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Oct 2021 16:32:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Arash Esbati <[email-masked]> writes:

> AUCTeX also gives you the ability to control fontification of certain
> keywords.  From the manual[1]:
>
>     Deactivating defaults of built-in keyword classes
>
>     font-latex ships with predefined lists of keywords for the classes
>     described above. You can disable these defaults per class by customizing
>     the variable font-latex-deactivated-keyword-classes. [...]
>
>     You can also get rid of certain keywords only. For example if you want
>     to remove highlighting of footnotes as references you can put the
>     following stanza into your init file:
>
>       (eval-after-load "font-latex"
>         '(setq-default
>           font-latex-match-reference-keywords-local
>           (remove (assoc-string "footnote"
>                                 font-latex-match-reference-keywords-local)
>                       font-latex-match-reference-keywords-local)))
>
> Did you try the technique described above?

Some weeks passed since last message.  I'm closing this report for now,
we can re-open it once new activities come up.

Best, Arash

Subject: Issue with font-latex-deactivated-keyword-classes
From: Augusto Stoffel <[email-masked]>
To: [email-masked]
Date: Sat, 22 May 2021 11:45:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using the following value of `font-latex-deactivated-keyword-classes`,
in order to get a more sober appearance:

    (setq-default font-latex-deactivated-keyword-classes
                  '("variable" "biblatexnoarg" "biblatex" "reference"
                    "function" "textual" "type-command" "type-declaration"))

With this, I would hope to remove most font locking, and in particular
everything with `font-lock-keyword-face', but keep, say,
`font-latex-italic-face' and the `font-latex-sectioning-*' faces.

The problem is that the above setting still adds
`font-lock-keyword-face' to sectioning and font-changing commands, say
"\section" and "\emph".  This is not a very useful result.  I would
expect to be able to control the highlighting of section titles and
sectioning macro names independently.

A workaround in my case is to use a face remap such as

    (add-hook 'TeX-mode-hook
               (lambda ()
                 (face-remap-set-base 'font-lock-keyword-face
                                      :inherit 'font-latex-sedate-face)))

but this isn't a simple customization that most users would be able to
come up with.